Bug 1291298 - [Feature Request]WALA- RHUI support for RHEL On-Demand Image in Azure
[Feature Request]WALA- RHUI support for RHEL On-Demand Image in Azure
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: WALinuxAgent (Show other bugs)
6.7
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Dave Anderson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-14 09:17 EST by mingzhan
Modified: 2016-01-07 10:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1291303 (view as bug list)
Environment:
Last Closed: 2016-01-07 10:29:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mingzhan 2015-12-14 09:17:57 EST
1. Feature Overview:
a) Name of feature:
     RHUI support in WALA for RHEL On-Demand Image in Azure

b) Feature Description:
This feature is only for Redhat client instance to configure client configuration RPM in Azure VM.
After VM provision, Redhat client instance could connect to the appropriate RHUI service successfully.

2. Feature Details:
a) Architectures:
64-bit Intel x86_64
b) Bugzilla Dependencies:
N/A
c) Drivers or hardware dependencies:
N/A
d) Upstream acceptance information:
This feature has been accepted by WALA upstream, see below diff:
https://github.com/Azure/WALinuxAgent/pull/121/files
e) External links:
WALA github:  https://github.com/Azure/WALinuxAgent
f) Severity (H,M,L):
High: 
This is a must feature to ship RHEL 6 & 7 Azure Images.
g) Feature Needed by:
Target date: 12/31 
This is urgent request to review and accept the feature for new WALA release, which is released to enable the On-Demand Images of RHEL 6 & 7 in Azure, which we are planning to deliver by Jan 2016.
3. Business Justification: This feature is to set up the RHUI for RHEL On-Demand image. RHEL image will not work if no this feature.
a) Why is this feature needed?
WALA is the key & must component to enable RHEL Images running in Azure, and this feature in WALA is to add the RHUI support for RHEL On-Demand Images in Azure.
b) What hardware does this enable?
N/A
c) Is this hardware on-board in a system (eg, LOM) or an add-on card?
N/A
d) Business impact?
The On-Demand Images of RHEL 6 & 7 in Azure will have no RHUI connection if no this feature shipping, and not be delivered in Azure.

e) Other business drivers?
What other business drivers impact this request?
N/A
4. Primary contact at Red Hat, email, phone (chat)
John Jarvis
jjarvis@redhat.com

5. Primary contact at Microsoft
Scott Zhang
mingzhan@microsoft.com
+8618621610050
Comment 2 mingzhan 2016-01-05 00:37:02 EST
Dave
Any progress for this review request?
We have release a new version of WALA 2.0.16 with including this feature.If no concern for this feature, I'm going to submit a package request for getting 2.0.16 into Red Hat repo so that we could move on the On-demand image for Azure.

https://github.com/Azure/WALinuxAgent/releases/tag/WALinuxAgent-2.0.16

Scott
Comment 3 Dave Anderson 2016-01-05 09:19:04 EST
(In reply to mingzhan from comment #2)
> Dave
> Any progress for this review request?
> We have release a new version of WALA 2.0.16 with including this feature.If
> no concern for this feature, I'm going to submit a package request for
> getting 2.0.16 into Red Hat repo so that we could move on the On-demand
> image for Azure.
> 
> https://github.com/Azure/WALinuxAgent/releases/tag/WALinuxAgent-2.0.16
> 
> Scott

When will 2.0.16 be ported to Fedora?
Comment 4 Dave Anderson 2016-01-07 10:29:43 EST
Superseded by:

  Bug 1296360 - [WALA]Request to package WALA 2.0.16 into RHEL 6 Repo
  https://bugzilla.redhat.com/show_bug.cgi?id=1296360

Note You need to log in before you can comment on or make changes to this bug.